Bug 972716 - 2013-06-10 upstream stage fixes
2013-06-10 upstream stage fixes
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Pod (Show other bugs)
1.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brenton Leanhardt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 09:04 EDT by Brenton Leanhardt
Modified: 2017-03-08 12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 11:47:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brenton Leanhardt 2013-06-10 09:04:20 EDT
Description of problem:

This is a tracker bug for the following upstream/stage commits to origin-server:

commit f076864e6bed896af7c9543db1ba08580e4a2c56
Author: Rajat Chopra <rchopra@redhat.com>
Date:   Fri Jun 7 09:48:41 2013 -0700

    fix bz971876 - ci cleanup on app delete

commit 147a49a5944feac8c0564759396b1c1463c2fa61
Author: Mrunal Patel <mrunalp@gmail.com>
Date:   Fri Jun 7 12:30:38 2013 -0700

    PHP configuration fixes.

commit e37ae5b8d3dc138a4491fb53a30768e7eeeb1488
Author: Paul Morie <pmorie@gmail.com>
Date:   Fri Jun 7 13:44:05 2013 -0400

    Sort by cartridge version in cartridge_repository

commit 6484fc70aa6b399c41a313f85395d441bc218945
Author: Jhon Honce <jhonce@redhat.com>
Date:   Thu Jun 6 09:01:56 2013 -0700

    Bug 971460 - Refactor path_append/prepend to accept multiple elements
    
    * Original code only supported single argument substitutions
    * Update function declarations to match rest of file
    * Add functional tests
    * Fixed issue in Ruby cartridge where scl use was duping path elements
    * Bumped Ruby cartridge version number
    * Fixed CartridgeRepository to rebuild index correctly

commit 0f41e463323ff98c952a174399c1a1cbeb5083ad
Author: Jhon Honce <jhonce@redhat.com>
Date:   Fri Jun 7 12:41:07 2013 -0700

    WIP Cartridge Refactor - Fixed test method names

commit 53e80264fd9918b3abde48d3cf566c4b3e3efb94
Author: Dan McPherson <dmcphers@redhat.com>
Date:   Sat Jun 8 12:26:12 2013 -0400

    Fix test case

commit 43b7b93add2dcfc31343feb7feb84c944afe4fee
Author: Jhon Honce <jhonce@redhat.com>
Date:   Fri Jun 7 13:30:01 2013 -0700

    Bug 971460 - clear env settings
Comment 3 Gaoyun Pei 2013-06-19 04:21:44 EDT
Checked the code changes corresponds with the following git commits to origin-server on OpenShiftEnterprise 1.2 RC1, all of them have been merged into enterprise, so verify this bug

commit f076864e6bed896af7c9543db1ba08580e4a2c56
Author: Rajat Chopra <rchopra@redhat.com>
Date:   Fri Jun 7 09:48:41 2013 -0700

    fix bz971876 - ci cleanup on app delete

controller/app/models/application.rb

 517           uapp.requires.each do |feature_name|
 518             ucart = CartridgeCache.find_cartridge(feature_name, uapp)

--------------------------------------------------------------
commit 147a49a5944feac8c0564759396b1c1463c2fa61
Author: Mrunal Patel <mrunalp@gmail.com>
Date:   Fri Jun 7 12:30:38 2013 -0700

    PHP configuration fixes.

cartridges/openshift-origin-cartridge-php/metadata/manifest.yml :

Cartridge-Version: 0.0.2

cartridges/openshift-origin-cartridge-php/versions/shared/configuration/etc/conf.d/openshift.conf.erb :

  9 php_value include_path "<%= ".:#{ENV['OPENSHIFT_REPO_DIR']}/libs/:#{ENV['OPE    NSHIFT_PHP_DIR']}/phplib/pear/pear/php/:/usr/share/pear/"%>"

cartridges/openshift-origin-cartridge-php/versions/shared/configuration/etc/conf.d/php.conf :

DirectoryIndex index.html index.php

--------------------------------------------------------------
commit e37ae5b8d3dc138a4491fb53a30768e7eeeb1488
Author: Paul Morie <pmorie@gmail.com>
Date:   Fri Jun 7 13:44:05 2013 -0400

    Sort by cartridge version in cartridge_repository

node/lib/openshift-origin-node/model/cartridge_repository.rb 

247       Dir[glob].sort.each { |e| yield e }

--------------------------------------------------------------
pull request #2803 :

commit 6484fc70aa6b399c41a313f85395d441bc218945
Author: Jhon Honce <jhonce@redhat.com>
Date:   Thu Jun 6 09:01:56 2013 -0700

    Bug 971460 - Refactor path_append/prepend to accept multiple elements
    
    * Original code only supported single argument substitutions
    * Update function declarations to match rest of file
    * Add functional tests
    * Fixed issue in Ruby cartridge where scl use was duping path elements
    * Bumped Ruby cartridge version number
    * Fixed CartridgeRepository to rebuild index correctly

commit 0f41e463323ff98c952a174399c1a1cbeb5083ad
Author: Jhon Honce <jhonce@redhat.com>
Date:   Fri Jun 7 12:41:07 2013 -0700

    WIP Cartridge Refactor - Fixed test method names

commit 53e80264fd9918b3abde48d3cf566c4b3e3efb94
Author: Dan McPherson <dmcphers@redhat.com>
Date:   Sat Jun 8 12:26:12 2013 -0400

    Fix test case

commit 43b7b93add2dcfc31343feb7feb84c944afe4fee
Author: Jhon Honce <jhonce@redhat.com>
Date:   Fri Jun 7 13:30:01 2013 -0700

    Bug 971460 - clear env settings

all the latest code is in.
Comment 4 Luke Meyer 2013-06-28 11:47:38 EDT
Closing all bugs introduced, fixed, and verified during 1.2 release work (thus never shipped).

Note You need to log in before you can comment on or make changes to this bug.